Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.context.log.variableinstance
Class HibernateLongUpdateLog

    java.lang.Object
      org.jbpm.logging.log.ProcessLog
          org.jbpm.context.log.VariableLog
              org.jbpm.context.log.VariableUpdateLog
                  org.jbpm.context.log.variableinstance.HibernateLongUpdateLog

All Implemented Interfaces:
  java.io.Serializable

    public class HibernateLongUpdateLog

extends VariableUpdateLog

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.context.log.VariableLog
`variableInstance`

Fields inherited from class org.jbpm.logging.log.ProcessLog
`date, index, parent, token`

Constructor Summary
`HibernateLongUpdateLog()`
`HibernateLongUpdateLog(VariableInstance variableInstance, java.lang.Object oldValue, java.lang.Object newValue)`

Method Summary
`java.lang.Object` | `getNewValue()`
`java.lang.Object` | `getOldValue()`

Methods inherited from class org.jbpm.context.log.VariableUpdateLog
`toString, undo`

Methods inherited from class org.jbpm.context.log.VariableLog
`getVariableInstance`

Methods inherited from class org.jbpm.logging.log.ProcessLog
`getActorId, getDate, getId, getIndex, getParent, getToken, setDate, setIndex, setParent, setToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HibernateLongUpdateLog

    public HibernateLongUpdateLog()

### HibernateLongUpdateLog

    public HibernateLongUpdateLog(VariableInstance variableInstance,
                                  java.lang.Object oldValue,
                                  java.lang.Object newValue)

Method Detail

### getOldValue

    public java.lang.Object getOldValue()

  Specified by:
    `getOldValue` in class `VariableUpdateLog`

### getNewValue

    public java.lang.Object getNewValue()

  Specified by:
    `getNewValue` in class `VariableUpdateLog`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD